<ion-header translucent class="ion-no-border">
  <ion-toolbar class="title_bar">
    <div class="row">
      <div class="col-9">
        <h2 class="title"> Vehicle Registration</h2>
      </div>
    </div>
  </ion-toolbar>
</ion-header>

<ion-content>
  <div class="background">

    <form [formGroup]="registrationForm" class="content">
      <!-- <ion-item>
      <ion-label position="floating">First name</ion-label>
      <ion-input  type="text" formControlName="first_name"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="floating">Last name</ion-label>
      <ion-input type="text" formControlName="last_name"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="floating">Mobile</ion-label>
      <ion-input type="number" formControlName="mobile"></ion-input>
    </ion-item> -->
      <!-- <ion-item>
        <ion-label position="floating">Parking_no</ion-label>
        <ion-input type="text" formControlName="parking_no"></ion-input>
      </ion-item> -->
      <ion-row>

    <ion-col>
      <div class="forms">
        <div>
          <ion-input type="text"  placeholder="Parking no" class="inputstyle "  formControlName="parking_no"></ion-input>
        </div>
      </div>
    
      </ion-col>
      <ion-col>

        <div class="forms">
          <div>
          <ion-input type="text"  placeholder="Vehicle no" class="inputstyle " formControlName="vehicle_no"></ion-input>
          <div *ngIf="registrationForm.controls['vehicle_no'].errors && registrationForm.controls['vehicle_no'].dirty" class="danger" padding>Vehicle Number is not valid.</div>
        </div>
      </div>
      
      </ion-col>
      <ion-col>

     
        <div class="forms">
          <div>
        <ion-input type="number"  placeholder="Amount" class="inputstyle "  formControlName="amount"></ion-input>
      </div>
    </div>
  </ion-col>
  </ion-row>
  
    

 
      <!-- <ion-input type="number" placeholder="Mobile" class="inputstyle " formControlName="number" maxlength="10" (ionFocus)="focusInput($event)"></ion-input>
      <ion-item>
        <ion-label position="floating">Vehicle_no</ion-label>
        <ion-input type="text" formControlName="vehicle_no"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label position="floating">Amount</ion-label>
        <ion-input type="number" formControlName="amount"></ion-input>
      </ion-item> -->
      <!-- <ion-item>
      <ion-label position="floating" style="margin-bottom:20px">Select date of carwash</ion-label>
      <ion-input type="date" min="{{minDate}}" formControlName="date_of_carwash"></ion-input>
     
    </ion-item> --> 
      <div class="display">
        <!-- <ion-button  (click)="register()" [disabled]="registrationForm.invalid">Register
        </ion-button> -->

        
       
        <!-- <button  (click)="register()"  class="ion-chip" [disabled]="registrationForm.invalid">Register</button> -->
        <button class="btn ion-chip" (click)="register()" [ngClass]="registrationForm.invalid ? 'disable_class':''"  [disabled]="registrationForm.invalid">Register</button>
      </div>
    </form>
  </div>
</ion-content>